Bug 253673 - Bash man page correction for alias expansion.
Bash man page correction for alias expansion.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bash (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Janousek
Chris Ward
:
Depends On:
Blocks: 246258
  Show dependency treegraph
 
Reported: 2007-08-21 01:18 EDT by Norm Murray
Modified: 2010-10-22 13:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0380
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
I think that should have been 'for' the bash manpage ;P (540 bytes, patch)
2007-08-21 01:24 EDT, Wade Mealing
no flags Details | Diff
patch from Issuetracker (571 bytes, patch)
2007-11-07 03:46 EST, Masahiro Matsuya
no flags Details | Diff

  None (edit)
Description Wade Mealing 2007-08-21 01:18:18 EDT
Description of problem:

The man page for bash does not accurately describe bash's use of alias's within
a non interactive script.

Version-Release number of selected component (if applicable):

bash-3.1-16.1

Patch incoming to bash manpage.
Comment 1 Wade Mealing 2007-08-21 01:24:44 EDT
Created attachment 161948 [details]
I think that should have been 'for' the bash manpage ;P
Comment 2 Pete Graner 2007-08-21 02:39:33 EDT
Looks good. I'm pushing for a 5.2 update of bash.
Comment 3 RHEL Product and Program Management 2007-10-15 23:46:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Tomas Janousek 2007-11-06 12:03:14 EST
What's wrong with that text?
Comment 6 Tomas Janousek 2007-11-07 03:00:48 EST
Well, the manpage for the alias command describes what the command does, not how
expansion works, that's ok, I think. But I don't understand how removing the
paragraph about expand_aliases helps (that's what the attached patch does).
Comment 7 Masahiro Matsuya 2007-11-07 03:46:03 EST
Created attachment 249881 [details]
patch from Issuetracker
Comment 8 Tomas Janousek 2007-11-07 04:07:23 EST
Ok, makes sense now.
Comment 16 errata-xmlrpc 2008-05-21 11:36:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0380.html

Note You need to log in before you can comment on or make changes to this bug.